IBONL(3)

NAME
ibonl - close or reinitialize descriptor (board or device)

SYNOPSIS

#include <gpib/ib.h>

int ibonl(int ud, int online);

DESCRIPTION

If the parameter online is zero, then ibonl() frees the resources associated with the board or device descriptor ud. The descriptor cannot be used again after the ibonl() call. The parameter ud cannot be a board index (aka minor).

If the parameter online is nonzero, then all the settings associated with the descriptor (GPIB address, end-of-string mode, timeout, etc.) are reset to their 'default' values. The 'default' values are the settings the descriptor had when it was first obtained with ibdev() or ibfind(). The parameter ud can be a board index (aka minor). The 'default' values are the standard default values as modified by the corresponding gpib.conf interface definition.

RETURN VALUE

The value of ibsta is returned.

COPYRIGHT
Copyright © 2003-2006, 2008 Frank Mori Hess